function [ out ] = V_MAP( theta, mu_p, lambda_p, y, lambda_e )
%V_MAP functional for the Maximum a Posteriori estimation for the model
% y(k) = theta*u(k) + e(k) where e(k) like N(0,lambda_e) 
% with prior f(theta) like N(mu_p,lamdda_p)
%
%   [ out ] = V_MAP( theta, mu_p, lambda_p, y, lambda_e )

out = sum((y-theta).^2)/lambda_e + ((theta-mu_p)^2)/lambda_p;

